
Figure - Bug #114639
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】拖动小窗后松手，在移动过程中，小窗变为直角
2022-12-16 14:27 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-16

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212160615

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301060629

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 小窗移动的动画效果不应该交给Animation的SurfaceControl去处理,应该调用reSizeTask去更新Task的位置

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开一应用小窗，以音乐为例

2、将音乐小窗拖到中界线右边一点的位置

【预期结果】

2、小窗以圆角状态移动到屏幕右边

【实际结果】

2、小窗以直角状态移动到屏幕右边，等到吸附后才变为圆角

Related issues:

Related to Figure - Bug # 114089: 【AF】【EVT】【小窗模式】打开应用小窗，直... CLOSED 2022-11-22

History

#1 - 2022-12-27 11:16 - DL FW-张挽强

- Status changed from New to ASSIGNED

■ My analysis

本问题与114639的问题原因一致，都由于设置圆角的调用时序问题导致悬浮窗设置圆角失效

■ Next action

圆角设置是在Task中的preparesurfaces的方法中执行的getSyncTransaction().setCornerRadius(getSurfaceControl(), FREE_FORM_RADIOS_CORNER_SIZE);

对比移动和热启动的，调用时序差别，修改圆角方案

#2 - 2022-12-29 19:36 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to CD FW-鲁凯峰

#3 - 2023-01-05 15:16 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_C sample_20230113

#4 - 2023-01-05 20:03 - CD FW-鲁凯峰
- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 小窗移动的动画效果不应该交给Animation的SurfaceControl去处理,应该调用reSizeTask去更新Task的位置

■ Current conclusion

问题已经解决

■ My analysis

小窗移动的动画效果不应该交给Animation的SurfaceControl去处理,应该调用reSizeTask去更新Task的位置

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/174233

#5 - 2023-01-06 11:00 - CD TEST-方永红

- File Phone-STS40X190122 2023-01-06 11-00-04.mp4 added

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301060629

1.6

验证通过

#6 - 2023-01-06 11:02 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#7 - 2023-02-08 15:30 - CD TEST-方永红

- % Done changed from 0 to 100

Files

Phone-STS40X190122 2022-12-16 14-26-51.mp4 11.6 MB 2022-12-16 CD TEST-方永红

Phone-STS40X190122 2023-01-06 11-00-04.mp4 30.4 MB 2023-01-06 CD TEST-方永红
